Bug 1198849 - Minor improvements and cleanup for the build system
Summary: Minor improvements and cleanup for the build system
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: build
Version: mainline
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Niels de Vos
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1225842 1290534 1373530
TreeView+ depends on / blocked
 
Reported: 2015-03-04 22:53 UTC by Niels de Vos
Modified: 2017-05-30 18:32 UTC (History)
2 users (show)

Fixed In Version: glusterfs-3.11.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1225842 1290534 1373530 (view as bug list)
Environment:
Last Closed: 2017-03-06 17:18:18 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1215421 0 unspecified CLOSED Fails to build on x32 2021-02-22 00:41:40 UTC

Internal Links: 1215421

Description Niels de Vos 2015-03-04 22:53:01 UTC
Use this bug to file changes that affect the build tools and configuration. Real bugs (problem reports) should have their own bugzilla entry for related patches.

Acceptable changes include:

- improve readability
- minor checkpatch.pl changes
- cleanup in Makefile.am files or configure.ac
- ...

Comment 1 Anand Avati 2015-03-04 22:53:39 UTC
REVIEW: http://review.gluster.org/9784 (build: adjust checkpatch for HEAD) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 2 Anand Avati 2015-03-04 23:13:04 UTC
REVIEW: http://review.gluster.org/9803 (build: add more generated files to .gitignore) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 3 Anand Avati 2015-03-05 04:17:47 UTC
REVIEW: http://review.gluster.org/9784 (build: adjust checkpatch for HEAD.) posted (#3) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

Comment 4 Anand Avati 2015-03-05 21:10:48 UTC
COMMIT: http://review.gluster.org/9784 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 0bef7717d3100734c6c5a4ba85de7a39e76774db
Author: Michael Scherer <misc@zarb.org>
Date:   Mon Mar 2 16:24:05 2015 +0100

    build: adjust checkpatch for HEAD.
    
    README is called README.md in git HEAD, and we have a directory
    heal.
    
    Change-Id: I2e698b95c6924b5b21aa54257fefd6a6698255ee
    BUG: 1198849
    Signed-off-by: Michael Scherer <misc@zarb.org>
    Reviewed-on: http://review.gluster.org/9784
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

Comment 5 Anand Avati 2015-03-10 15:36:38 UTC
COMMIT: http://review.gluster.org/9803 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 4f2b49eefd1a56469770534d7941fa37ae759f11
Author: Niels de Vos <ndevos@redhat.com>
Date:   Wed Mar 4 16:22:39 2015 +0100

    build: add more generated files to .gitignore
    
    Added *_unittest, *.log, *.trs, extras/run-gluster.tmpfiles and
    heal/src/glfsheal. Sorted the list of files to make it easier to modify
    in future.
    
    Change-Id: I0f21a03a89e61f84c6a85c8f1f98712c5819d633
    BUG: 1198849
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9803
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

Comment 6 Anand Avati 2015-03-18 10:02:44 UTC
REVIEW: http://review.gluster.org/9928 (marker: fix compile time warning on buf arg.) posted (#1) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

Comment 7 Anand Avati 2015-03-18 14:44:00 UTC
COMMIT: http://review.gluster.org/9928 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit dbd62a8d2b50392fbed0a0781a4f241dadb8f506
Author: Humble Devassy Chirammal <hchiramm@redhat.com>
Date:   Wed Mar 18 15:25:08 2015 +0530

    marker: fix compile time warning on buf arg.
    
    Problem:
    marker-quota.c: In function 'mq_inspect_directory_xattr_task':
    marker-quota.c:3451:31: warning: variable 'buf' set but not
    used [-Wunused-but-set-variable]
             struct iatt           buf                          = {0,};
    
    Change-Id: I211378328bdb2509a5d2a186d173f7f30a670c8a
    BUG: 1198849
    Signed-off-by: Humble Devassy Chirammal <hchiramm@redhat.com>
    Reviewed-on: http://review.gluster.org/9928
    Reviewed-by: Vijaikumar Mallikarjuna <vmallika@redhat.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 8 Anand Avati 2015-03-19 09:41:33 UTC
REVIEW: http://review.gluster.org/9940 (build: let checkpatch check for a trailing dot) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 9 Anand Avati 2015-03-21 10:29:37 UTC
REVIEW: http://review.gluster.org/9958 (glupy: correct the definition of GlusterFS in setup.py) posted (#1) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

Comment 10 Anand Avati 2015-03-22 12:21:39 UTC
REVIEW: http://review.gluster.org/9963 (build: only include sys/sysctl.h when sysctl() is used) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 11 Anand Avati 2015-03-23 19:28:38 UTC
COMMIT: http://review.gluster.org/9963 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 889044594614756243259a22ed1448408a2b33ac
Author: Niels de Vos <ndevos@redhat.com>
Date:   Sun Mar 22 13:17:46 2015 +0100

    build: only include sys/sysctl.h when sysctl() is used
    
    BUG: 1198849
    Change-Id: I9597b4b7f37994865f88b99651ea9ec89787f5cf
    Reported-by: Adam Borowski <kilobyte@angband.pl>
    URL: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=778790
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9963
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

Comment 12 Anand Avati 2015-03-23 20:15:41 UTC
COMMIT: http://review.gluster.org/9940 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 2308c07b9d52b28f371388b9393b17508b2ddccd
Author: Niels de Vos <ndevos@redhat.com>
Date:   Thu Mar 19 10:38:23 2015 +0100

    build: let checkpatch check for a trailing dot
    
    The subject of a patch should not end with a dot (.). It is not common
    to have subjects of emails end with a dot, and neither is it common for
    patches.
    
    Change-Id: Id090241393aee3ca99df4887bdb2d7a7a8913164
    BUG: 1198849
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9940
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Ira Cooper <ira@redhat.com>
    Reviewed-by: Lalatendu Mohanty <lmohanty@redhat.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

Comment 13 Anand Avati 2015-03-24 11:20:36 UTC
REVIEW: http://review.gluster.org/9958 (glupy: correct the definition of GlusterFS in setup.py) posted (#2) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

Comment 14 Anand Avati 2015-03-25 14:23:20 UTC
REVIEW: http://review.gluster.org/9997 (features/ctr: Removing rpc-lib, rpc-xdr and api from CPPFLAGS) posted (#1) for review on master by Anoop C S (achiraya@redhat.com)

Comment 15 Anand Avati 2015-03-25 19:02:31 UTC
COMMIT: http://review.gluster.org/9997 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit f64666f113e7f0d3f7061dfed7e6e24928e85161
Author: Anoop C S <achiraya@redhat.com>
Date:   Wed Mar 25 19:51:41 2015 +0530

    features/ctr: Removing rpc-lib, rpc-xdr and api from CPPFLAGS
    
    Changetimerecorder doesn't seem to use rpc-lib, rpc-xdr
    and gfapi in the source. So removing those from Makefile.am
    
    Change-Id: I21c71db6212c10ba3821c6c456958a45c5312d41
    BUG: 1198849
    Signed-off-by: Anoop C S <achiraya@redhat.com>
    Reviewed-on: http://review.gluster.org/9997
    Reviewed-by: Joseph Fernandes <josferna@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

Comment 16 Anand Avati 2015-03-30 07:06:45 UTC
REVIEW: http://review.gluster.org/10040 (build: ignore cscope files) posted (#1) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

Comment 17 Anand Avati 2015-03-30 10:04:32 UTC
REVIEW: http://review.gluster.org/10040 (build: ignore cscope files) posted (#2) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

Comment 18 Anand Avati 2015-03-30 11:09:30 UTC
REVIEW: http://review.gluster.org/10040 (build: ignore cscope files) posted (#3) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

Comment 19 Anand Avati 2015-03-30 12:38:13 UTC
COMMIT: http://review.gluster.org/9958 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit d2629aef8302c6b7d832063351c0ce1f2f2efbdd
Author: Humble Devassy Chirammal <hchiramm@redhat.com>
Date:   Sat Mar 21 15:57:13 2015 +0530

    glupy: correct the definition of GlusterFS in setup.py
    
    Change-Id: I31597a623b4ebf3d3129067eb20c661c910b97fe
    BUG: 1198849
    Signed-off-by: Humble Devassy Chirammal <hchiramm@redhat.com>
    Reviewed-on: http://review.gluster.org/9958
    Reviewed-by: Lalatendu Mohanty <lmohanty@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 20 Anand Avati 2015-03-30 16:44:20 UTC
COMMIT: http://review.gluster.org/10040 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 0a3420dbd57361174eb30fc054754f8c5499ecfb
Author: Humble Devassy Chirammal <hchiramm@redhat.com>
Date:   Mon Mar 30 12:32:27 2015 +0530

    build: ignore cscope files
    
    It is common for developers to use cscope and generate
    these cscope.* files with: cscope -b -q or with some
    other switches of cscope. This patch avoid 'git' to worry
    about the same.
    
    Change-Id: I3525e6f1a36f9800f4c27a2cdc6ea9c668981717
    BUG: 1198849
    Signed-off-by: Humble Devassy Chirammal <hchiramm@redhat.com>
    Reviewed-on: http://review.gluster.org/10040
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 21 Anand Avati 2015-04-01 11:51:24 UTC
REVIEW: http://review.gluster.org/10099 (build: sort gitignore entries) posted (#1) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

Comment 22 Anand Avati 2015-04-01 17:53:05 UTC
REVIEW: http://review.gluster.org/10099 (build: sort gitignore entries) posted (#2) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

Comment 23 Anand Avati 2015-04-02 04:00:11 UTC
REVIEW: http://review.gluster.org/10099 (build: sort gitignore entries) posted (#3) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

Comment 24 Anand Avati 2015-04-06 09:37:41 UTC
REVIEW: http://review.gluster.org/10132 (build: add more files to .gitignore) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 25 Anand Avati 2015-04-06 13:00:43 UTC
COMMIT: http://review.gluster.org/10132 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit dc128c6bb0f8935e0aaa64602cd8a2dcedaebbf4
Author: Niels de Vos <ndevos@redhat.com>
Date:   Mon Apr 6 15:01:15 2015 +0530

    build: add more files to .gitignore
    
    Change-Id: Icef0d7f443f7caf3aa386d3a6978f98cf3a5a4af
    BUG: 1198849
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/10132
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 26 Anand Avati 2015-04-06 13:02:18 UTC
COMMIT: http://review.gluster.org/10099 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 120cdbf3ba51f493df3bff112a9e21c19349b543
Author: Humble Devassy Chirammal <hchiramm@redhat.com>
Date:   Mon Mar 30 12:49:13 2015 +0530

    build: sort gitignore entries
    
    Change-Id: I79d315efb47577ab88d090a96df13f1f92ed276c
    BUG: 1198849
    Signed-off-by: Humble Devassy Chirammal <hchiramm@redhat.com>
    Reviewed-on: http://review.gluster.org/10099
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

Comment 27 Anand Avati 2015-05-21 16:01:53 UTC
REVIEW: http://review.gluster.org/10885 (spec: correct the vendor string in spec file) posted (#1) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

Comment 28 Anand Avati 2015-05-22 07:37:43 UTC
REVIEW: http://review.gluster.org/10885 (spec: correct the vendor string in spec file) posted (#2) for review on master by Humble Devassy Chirammal (humble.devassy@gmail.com)

Comment 29 Anand Avati 2015-05-23 17:45:51 UTC
REVIEW: http://review.gluster.org/10897 (build: do not include rpcgen generated files in "make dist") posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 30 Anand Avati 2015-05-23 17:52:15 UTC
REVIEW: http://review.gluster.org/10897 (build: do not include rpcgen generated files in "make dist") posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 31 Anand Avati 2015-05-23 18:07:10 UTC
REVIEW: http://review.gluster.org/10897 (build: do not include rpcgen generated files in "make dist") posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 32 Anand Avati 2015-05-28 09:35:57 UTC
COMMIT: http://review.gluster.org/10885 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit bc33fe3c1621612788cf2f7928178f314a5f25f1
Author: Humble Devassy Chirammal <hchiramm@redhat.com>
Date:   Thu May 21 21:30:54 2015 +0530

    spec: correct the vendor string in spec file
    
    Change-Id: Id19c973092af506582741887d12fe00c85022f15
    BUG: 1198849
    Signed-off-by: Humble Devassy Chirammal <hchiramm@redhat.com>
    Reviewed-on: http://review.gluster.org/10885
    Tested-by: NetBSD Build System
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 33 Anand Avati 2015-05-31 21:18:52 UTC
REVIEW: http://review.gluster.org/11020 (rpm: add option "--with debug" for rpmbuild/mock) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 34 Anand Avati 2015-06-01 09:18:41 UTC
REVIEW: http://review.gluster.org/11020 (rpm: add option "--with debug" for rpmbuild/mock) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 35 Anand Avati 2015-06-04 23:20:55 UTC
REVIEW: http://review.gluster.org/11020 (rpm: add option "--with debug" for rpmbuild/mock) posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 36 Anand Avati 2015-06-06 16:51:15 UTC
REVIEW: http://review.gluster.org/11020 (rpm: add option "--with debug" for rpmbuild/mock) posted (#4) for review on master by Vijay Bellur (vbellur@redhat.com)

Comment 37 Anand Avati 2015-06-07 18:33:49 UTC
COMMIT: http://review.gluster.org/11020 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit ffe8b4d8149b50df53353bdb85fac1251a85ec2f
Author: Niels de Vos <ndevos@redhat.com>
Date:   Sun May 31 21:50:21 2015 +0200

    rpm: add option "--with debug" for rpmbuild/mock
    
    When passing "--with debug" to mock or rpmbuild, the build process will
    add the "--enable-debug" option to ./configure. This makes it easier
    to build RPMs with debugging enabled.
    
    Change-Id: Ie584a4a03525385b337bbf81e5093f2af1b0b780
    BUG: 1198849
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/11020
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

Comment 38 Anand Avati 2015-06-17 21:56:41 UTC
REVIEW: http://review.gluster.org/11297 (build: always include the VERSION file in 'make dist') posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 39 Anand Avati 2015-06-28 14:46:58 UTC
COMMIT: http://review.gluster.org/11297 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 5f76ff1beaaf1fd1c85c43a166c289f9094a379b
Author: Niels de Vos <ndevos@redhat.com>
Date:   Wed Jun 17 23:33:25 2015 +0200

    build: always include the VERSION file in 'make dist'
    
    Building a 'make dist' tarball from a non-git directory fails to include
    the VERSION file. This subsequently fails to set the version in the
    installation directories (for the xlators) and the RPM packaging can not
    find the correct files.
    
    This change makes sure to include a VERSION file in the 'make dist'
    tarball, no matter from where 'make dist' is run. It mainly addresses
    this use case:
    
       $ git clone ... && cd glusterfs
       $ ./autogen.sh
       $ mkdir /tmp/workdir
       $ cd /tmp/workdir
       $ $OLDPWD/configure
       $ make dist
    
    Change-Id: I3e87b5e16118b68d065fe99790d4b17e0cef9189
    BUG: 1198849
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/11297
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>

Comment 40 Vijay Bellur 2015-10-13 11:58:30 UTC
REVIEW: http://review.gluster.org/12351 (build: Fix autoconf warnings) posted (#1) for review on master by Anoop C S (anoopcs@redhat.com)

Comment 41 Vijay Bellur 2015-10-15 05:13:31 UTC
REVIEW: http://review.gluster.org/12351 (build: Fix autoconf warnings) posted (#2) for review on master by Anoop C S (anoopcs@redhat.com)

Comment 42 Vijay Bellur 2015-10-15 12:35:07 UTC
REVIEW: http://review.gluster.org/12351 (build: Fix autoconf warnings) posted (#3) for review on master by Anoop C S (anoopcs@redhat.com)

Comment 43 Vijay Bellur 2015-10-17 16:30:09 UTC
REVIEW: http://review.gluster.org/12351 (build: Fix autoconf warnings) posted (#4) for review on master by Anoop C S (anoopcs@redhat.com)

Comment 44 Vijay Bellur 2015-10-28 04:54:48 UTC
REVIEW: http://review.gluster.org/12351 (build: Fix autoconf warnings) posted (#5) for review on master by Anoop C S (anoopcs@redhat.com)

Comment 45 Vijay Bellur 2015-11-03 10:12:10 UTC
REVIEW: http://review.gluster.org/12351 (build: Fix autoconf warnings) posted (#6) for review on master by Anoop C S (anoopcs@redhat.com)

Comment 46 Vijay Bellur 2015-11-03 11:51:40 UTC
REVIEW: http://review.gluster.org/12351 (build: Fix autoconf warnings) posted (#7) for review on master by Anoop C S (anoopcs@redhat.com)

Comment 47 Vijay Bellur 2015-11-03 13:01:45 UTC
REVIEW: http://review.gluster.org/12351 (build: Fix autoconf warnings) posted (#8) for review on master by Anoop C S (anoopcs@redhat.com)

Comment 48 Vijay Bellur 2015-11-23 07:16:05 UTC
REVIEW: http://review.gluster.org/12714 (build: Remove redundant options from GF_CFLAGS) posted (#1) for review on master by Anoop C S (anoopcs@redhat.com)

Comment 49 Vijay Bellur 2015-11-30 12:43:39 UTC
REVIEW: http://review.gluster.org/12828 (extras: fix deprecation warining in checkpatch.pl) posted (#1) for review on master by Michael Adam (obnox@samba.org)

Comment 50 Vijay Bellur 2015-12-01 17:25:49 UTC
COMMIT: http://review.gluster.org/12714 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 86701a0ececa5fdbbe08654516618baadc4555b7
Author: Anoop C S <anoopcs@redhat.com>
Date:   Mon Nov 23 12:20:09 2015 +0530

    build: Remove redundant options from GF_CFLAGS
    
    While configuring, GF_CFLAGS is being populated with redudndant
    options as follows:
    
    Normal mode:
    GF_CFLAGS = -g -O2 -g -O2 -Wformat -Werror=format-security \
                -g -O2 -g -O2 -Wformat -Werror=format-security \
                -Werror=implicit-function-declaration
    Debug mode:
    GF_CFLAGS = -g -O2 -g -O0 -DDEBUG -Wformat -Werror=format-security \
                -g -O2 -g -O0 -DDEBUG -Wformat -Werror=format-security \
                -Werror=implicit-function-declaration
    
    This patch is to remove this redundancy of options.
    
    Change-Id: Idf6f2536c2a8ae24ba257681fbe9dfdb8bfa4f19
    BUG: 1198849
    Signed-off-by: Anoop C S <anoopcs@redhat.com>
    Reviewed-on: http://review.gluster.org/12714
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

Comment 51 Vijay Bellur 2015-12-02 12:43:36 UTC
COMMIT: http://review.gluster.org/12828 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 2e9376a2f1b992d3649dd1d5a8e844b4c031ef3c
Author: Michael Adam <obnox@samba.org>
Date:   Mon Nov 30 13:35:23 2015 +0100

    extras: fix deprecation warining in checkpatch.pl
    
    Left braces in patterns need to be escaped.
    Otherwise, for perl >= 5.16, we get a warning:
    "Unescaped left brace in regex is deprecated, passed through in regex;"
    This patch fixes the relevant braces.
    
    Hence perl -c ./examples/checkpatch.pl is clean again.
    
    Change-Id: I938c9c262239f53de57d30a2cff7030f22e63dc1
    BUG: 1198849
    Signed-off-by: Michael Adam <obnox@samba.org>
    Reviewed-on: http://review.gluster.org/12828
    Reviewed-by: Anoop C S <anoopcs@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 52 Vijay Bellur 2016-01-10 14:15:48 UTC
REVIEW: http://review.gluster.org/13208 (build: place glupy under $prefix while installing) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 53 Vijay Bellur 2016-01-13 16:18:58 UTC
REVIEW: http://review.gluster.org/13208 (build: place glupy under $prefix while installing) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 54 Vijay Bellur 2016-01-15 10:48:17 UTC
COMMIT: http://review.gluster.org/13208 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit a34c406445fc0294de41a8e4706f106a83e136a0
Author: Niels de Vos <ndevos@redhat.com>
Date:   Sun Jan 10 13:42:58 2016 +0100

    build: place glupy under $prefix while installing
    
    Regression testing on FreeBSD fails due to this error:
    
      --- install-pyglupyPYTHON ---
       /usr/home/jenkins/root/workspace/freebsd-smoke/install-sh -c -d '/usr/local/lib/python2.7/site-packages/gluster/glupy'
      mkdir: /usr/local/lib/python2.7/site-packages/gluster: Permission denied
      mkdir: /usr/local/lib/python2.7/site-packages/gluster: Permission denied
      *** [install-pyglupyPYTHON] Error code 1
    
    The installation prefix is set to "/build/install" and glupy should be
    placed there as well. The default to "/usr/local" is incorrect.
    
    Change-Id: I166412a271576f2344aecec94c7835f0fe9b1cf3
    BUG: 1198849
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/13208
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

Comment 55 Vijay Bellur 2016-04-12 07:32:48 UTC
REVIEW: http://review.gluster.org/13964 (qemu-block: mop leftover code) posted (#2) for review on master by Prasanna Kumar Kalever (pkalever@redhat.com)

Comment 56 Vijay Bellur 2016-04-14 10:53:45 UTC
REVIEW: http://review.gluster.org/13997 (rpc: modify gf_process_reserved_ports to return void) posted (#1) for review on master by Prasanna Kumar Kalever (pkalever@redhat.com)

Comment 57 Vijay Bellur 2016-04-14 13:34:32 UTC
REVIEW: http://review.gluster.org/13997 (rpc: modify gf_process_reserved_ports to return void) posted (#2) for review on master by Prasanna Kumar Kalever (pkalever@redhat.com)

Comment 58 Vijay Bellur 2016-04-14 16:00:41 UTC
REVIEW: http://review.gluster.org/13964 (qemu-block: mop leftover code) posted (#3) for review on master by Prasanna Kumar Kalever (pkalever@redhat.com)

Comment 59 Vijay Bellur 2016-04-16 07:32:33 UTC
REVIEW: http://review.gluster.org/13964 (qemu-block: mop leftover code) posted (#4) for review on master by Prasanna Kumar Kalever (pkalever@redhat.com)

Comment 60 Vijay Bellur 2016-04-19 16:33:26 UTC
REVIEW: http://review.gluster.org/14033 (build: remove unused gf_darwin_compat_*xattr() functions) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 61 Vijay Bellur 2016-04-19 16:33:29 UTC
REVIEW: http://review.gluster.org/14034 (build: reduce warnings when building the syscall compatibility layer) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 62 Vijay Bellur 2016-04-21 11:42:14 UTC
REVIEW: http://review.gluster.org/13997 (rpc: modify gf_process_reserved_ports to return void) posted (#4) for review on master by Prasanna Kumar Kalever (pkalever@redhat.com)

Comment 63 Vijay Bellur 2016-04-21 14:58:03 UTC
REVIEW: http://review.gluster.org/14034 (build: reduce warnings when building the syscall compatibility layer) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 64 Vijay Bellur 2016-04-21 14:58:06 UTC
REVIEW: http://review.gluster.org/14033 (build: remove unused gf_darwin_compat_*xattr() functions) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 65 Vijay Bellur 2016-04-24 13:30:55 UTC
REVIEW: http://review.gluster.org/14034 (build: reduce warnings when building the syscall compatibility layer) posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 66 Vijay Bellur 2016-04-24 13:30:58 UTC
REVIEW: http://review.gluster.org/14033 (build: remove unused gf_darwin_compat_*xattr() functions) posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 67 Vijay Bellur 2016-04-24 13:39:17 UTC
COMMIT: http://review.gluster.org/13964 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit bfd5c7683708949e87bd40fb0ddb6933021c6912
Author: Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
Date:   Mon Apr 11 15:28:07 2016 +0530

    qemu-block: mop leftover code
    
    This patch cleans off the code that was leftover by '6860968'
    which basically remove qemu-block from gluster code repo
    
    Also update 'bug-1168803-snapd-option-validation-fix.t'
    which previously used 'features.file-snapshot' for checking
    'volume set' for some reason.
    
    Change-Id: I2c4f28e186b74a4ce55d48c0fa7f3f79ca1901b5
    BUG: 1198849
    Signed-off-by: Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
    Reviewed-on: http://review.gluster.org/13964
    Tested-by: Prasanna Kumar Kalever <pkalever@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

Comment 68 Vijay Bellur 2016-04-25 08:17:30 UTC
COMMIT: http://review.gluster.org/14033 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 68034a3f92a779f8fe67525472f450d473769dd3
Author: Niels de Vos <ndevos@redhat.com>
Date:   Tue Apr 19 17:52:26 2016 +0200

    build: remove unused gf_darwin_compat_*xattr() functions
    
    These functions are not implemented or used anywhere, there is no reason
    to have them declared in the compatibility header.
    
    Change-Id: If33ed2cc0be86b9f04f05f3af822758e263f6d53
    BUG: 1198849
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/14033
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

Comment 69 Vijay Bellur 2016-04-25 08:18:45 UTC
COMMIT: http://review.gluster.org/14034 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 30b66ef3750ece0fb56e673afaca7948d53511e1
Author: Niels de Vos <ndevos@redhat.com>
Date:   Mon Apr 18 19:24:41 2016 +0200

    build: reduce warnings when building the syscall compatibility layer
    
    For whatever reason my Fedora 23 started to complain loudly when
    compiling syscall.c.
    
    Change-Id: I72d278d6dc9abb77018c2590c113552383b639d1
    BUG: 1198849
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/14034
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

Comment 70 Vijay Bellur 2016-04-26 16:31:22 UTC
REVIEW: http://review.gluster.org/13997 (rpc: fix gf_process_reserved_ports) posted (#5) for review on master by Prasanna Kumar Kalever (pkalever@redhat.com)

Comment 71 Vijay Bellur 2016-04-27 05:51:29 UTC
REVIEW: http://review.gluster.org/13997 (rpc: fix gf_process_reserved_ports) posted (#6) for review on master by Prasanna Kumar Kalever (pkalever@redhat.com)

Comment 72 Vijay Bellur 2016-04-27 06:12:28 UTC
REVIEW: http://review.gluster.org/13997 (rpc: fix gf_process_reserved_ports) posted (#7) for review on master by Prasanna Kumar Kalever (pkalever@redhat.com)

Comment 73 Vijay Bellur 2016-04-27 12:57:49 UTC
REVIEW: http://review.gluster.org/14093 (build: remove unneeded include <sys/user.h> for FreeBSD) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 74 Vijay Bellur 2016-04-27 15:05:11 UTC
COMMIT: http://review.gluster.org/13997 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 88a386b9c87072787a3b712073cbf19a74b0bd20
Author: Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
Date:   Tue Apr 26 21:42:23 2016 +0530

    rpc: fix gf_process_reserved_ports
    
    this patch also does minor code cleanups.
    
    Change-Id: I0d005bd0f9baaaae498aa1df4faa6fcb65fa7a6e
    BUG: 1198849
    Signed-off-by: Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
    Reviewed-on: http://review.gluster.org/13997
    Tested-by: Prasanna Kumar Kalever <pkalever@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>

Comment 75 Vijay Bellur 2016-04-28 09:17:32 UTC
REVIEW: http://review.gluster.org/14093 (build: remove unneeded include <sys/user.h> for FreeBSD) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 76 Vijay Bellur 2016-04-28 14:11:41 UTC
COMMIT: http://review.gluster.org/14093 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit fbb655d90aae42398c51469919dde20138e89d7d
Author: Niels de Vos <ndevos@redhat.com>
Date:   Wed Apr 27 14:50:58 2016 +0200

    build: remove unneeded include <sys/user.h> for FreeBSD
    
    The include <sys/user.h> causes a conflicting definition of an RPC
    'struct pmap':
    
        --- fuse-helpers.lo ---
        In file included from /usr/include/rpc/rpc.h:73:0,
                         from ../../../../libglusterfs/src/glusterfs-fops.h:35,
                         from /usr/home/jenkins/root/workspace/freebsd-smoke/libglusterfs/src/glusterfs.h:32,
                         from /usr/home/jenkins/root/workspace/freebsd-smoke/xlators/mount/fuse/src/fuse-bridge.h:22,
                         from /usr/home/jenkins/root/workspace/freebsd-smoke/xlators/mount/fuse/src/fuse-helpers.c:26:
        /usr/include/rpc/pmap_prot.h:89:8: error: redefinition of 'struct pmap'
         struct pmap {
                ^
        In file included from /usr/include/vm/pmap.h:90:0,
                         from /usr/include/sys/user.h:52,
                         from /usr/home/jenkins/root/workspace/freebsd-smoke/xlators/mount/fuse/src/fuse-helpers.c:19:
        /usr/include/machine/pmap.h:299:8: note: originally defined here
         struct pmap {
                ^
    
    It seems that building on FreeBSD still functions without any additional
    warnings or errors, even when the include is removed.
    
    Change-id I98fc8cf7e4b631082c7b203b5a0a77111bec1fb9 identified this
    issue, and this build-fix is needed for applying I98fc8cf7.
    
    BUG: 1198849
    Change-Id: Ib8241b7dc47eb2c3593d2f8ea1d196178e63d02d
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/14093
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

Comment 77 Vijay Bellur 2016-07-16 12:26:13 UTC
REVIEW: http://review.gluster.org/14933 (build: correctly format some (s)size_t messages) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 78 Vijay Bellur 2016-07-16 14:56:28 UTC
REVIEW: http://review.gluster.org/14934 (build: fix sprintf format for uint64_t) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 79 Vijay Bellur 2016-07-16 17:56:42 UTC
REVIEW: http://review.gluster.org/14934 (build: fix sprintf format for uint64_t in gf_worm_serialize_state()) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 80 Vijay Bellur 2016-07-17 13:37:01 UTC
COMMIT: http://review.gluster.org/14933 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 3af889f02722f4636d2ea30570de6477e8b5a3a9
Author: Niels de Vos <ndevos@redhat.com>
Date:   Sat Jul 16 14:21:47 2016 +0200

    build: correctly format some (s)size_t messages
    
    On 32-bit builds the are are warnings like these:
    
        posix.c:6438: warning: format '%ld' expects type 'long int', but argument 11 has type 'ssize_t'
    
    Instead of using "%l" for (signed) size_t variables, "%z" should be
    used.
    
    BUG: 1198849
    Change-Id: I6f57b5e8ea174dd9e3056aff5da685e497894ccf
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/14933
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>

Comment 81 Vijay Bellur 2016-07-18 20:56:14 UTC
COMMIT: http://review.gluster.org/14934 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 1b228d3d489cada1c3c9f5fdbb882e7dbc25a091
Author: Niels de Vos <ndevos@redhat.com>
Date:   Sat Jul 16 16:36:22 2016 +0200

    build: fix sprintf format for uint64_t in gf_worm_serialize_state()
    
    When building on 32-bit architectures, the following warning gets
    reported:
    
        worm-helper.c: In function 'gf_worm_serialize_state':
        worm-helper.c:219: warning: format '%ld' expects type 'long int', but argument 4 has type 'uint64_t'
        worm-helper.c:219: warning: format '%ld' expects type 'long int', but argument 5 has type 'uint64_t'
    
    The format string "%ld" depend on the architecture. If the type is very
    specific (here unint64_t), the dynamicness of "%ld" is not correct.
    There are macros for these fixed types in <inttypes.h> and even some
    more in "logging.h" from libglusterfs.
    
    BUG: 1198849
    Change-Id: I63eeb9c8e4d7b292ce0c9333938ca365db0823fc
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/14934
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

Comment 82 Worker Ant 2016-09-05 09:40:53 UTC
REVIEW: http://review.gluster.org/15400 (build: move checkpatch.pl to build-aux) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 83 Worker Ant 2016-09-08 04:54:09 UTC
REVIEW: http://review.gluster.org/15423 (libglusterfs: Fix wrong git repository url) posted (#2) for review on master by Anoop C S (anoopcs@redhat.com)

Comment 84 Worker Ant 2016-09-08 10:14:32 UTC
COMMIT: http://review.gluster.org/15423 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 34278a042f834b84c5d12fc3f45259136808466b
Author: Anoop C S <anoopcs@redhat.com>
Date:   Thu Sep 8 10:11:01 2016 +0530

    libglusterfs: Fix wrong git repository url
    
    Change-Id: Iecd4cfacd7536cb3cc9a569c8d96e5284f5e2152
    BUG: 1198849
    Signed-off-by: Anoop C S <anoopcs@redhat.com>
    Reviewed-on: http://review.gluster.org/15423
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: jiffin tony Thottan <jthottan@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

Comment 85 Worker Ant 2016-09-12 08:33:16 UTC
COMMIT: http://review.gluster.org/15400 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 00d9abd401ed5d6d78e9641ea31fe0e677f34eb9
Author: Niels de Vos <ndevos@redhat.com>
Date:   Mon Sep 5 11:39:10 2016 +0200

    build: move checkpatch.pl to build-aux
    
    There is no need for checkpatch.pl to be in extras/, it is used similar
    to other scripts that are placed in build-aux/.
    
    Change-Id: Id0f4db1666d83dad31687aa7aadae128fc14c016
    BUG: 1198849
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/15400
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>

Comment 86 Worker Ant 2016-10-18 06:54:21 UTC
REVIEW: http://review.gluster.org/15666 (build: Avoid printing python version to stdout discovered during configure) posted (#1) for review on master by Anoop C S (anoopcs@redhat.com)

Comment 87 Worker Ant 2016-10-19 07:09:54 UTC
COMMIT: http://review.gluster.org/15666 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit fd045aefbd2ea8315f76e6659753ebd1d7b6d801
Author: Anoop C S <anoopcs@redhat.com>
Date:   Tue Oct 18 12:19:39 2016 +0530

    build: Avoid printing python version to stdout discovered during configure
    
    Change-Id: I1e0d0dd462cd8fa6d3ce40850099e8a019d754de
    BUG: 1198849
    Signed-off-by: Anoop C S <anoopcs@redhat.com>
    Reviewed-on: http://review.gluster.org/15666
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Niels de Vos <ndevos@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>

Comment 88 Worker Ant 2016-11-10 08:45:31 UTC
REVIEW: http://review.gluster.org/15819 (Update copyright year for glusterfs binaries) posted (#1) for review on master by Anoop C S (anoopcs@redhat.com)

Comment 89 Worker Ant 2016-11-10 16:49:18 UTC
REVIEW: http://review.gluster.org/15819 (Update copyright content for glusterfs binaries) posted (#2) for review on master by Anoop C S (anoopcs@redhat.com)

Comment 90 Worker Ant 2016-11-11 03:20:48 UTC
COMMIT: http://review.gluster.org/15819 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 7947a6dd63979c7638f60d1a0954d9f78fd7df21
Author: Anoop C S <anoopcs@redhat.com>
Date:   Thu Nov 10 12:34:48 2016 +0530

    Update copyright content for glusterfs binaries
    
    Change-Id: I2d5de7ae634d55ae32977e337f366586eab449e4
    BUG: 1198849
    Signed-off-by: Anoop C S <anoopcs@redhat.com>
    Reviewed-on: http://review.gluster.org/15819
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 91 Worker Ant 2016-11-22 06:37:44 UTC
REVIEW: http://review.gluster.org/15899 (protocol/server: Remove unused variable) posted (#1) for review on master by Anoop C S (anoopcs@redhat.com)

Comment 92 Worker Ant 2016-11-22 16:23:47 UTC
COMMIT: http://review.gluster.org/15899 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit ded44a2627e5421880ffcc798f2838f52faaf322
Author: Anoop C S <anoopcs@redhat.com>
Date:   Tue Nov 22 06:34:35 2016 +0000

    protocol/server: Remove unused variable
    
    Change-Id: I0d0a786b2d02d4db37c4da6194ee4b4feac31b63
    BUG: 1198849
    Signed-off-by: Anoop C S <anoopcs@redhat.com>
    Reviewed-on: http://review.gluster.org/15899
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 93 Worker Ant 2016-12-01 09:41:52 UTC
REVIEW: http://review.gluster.org/15985 (build: Use %{_datadir} rpm macro in spec file) posted (#1) for review on master by Anoop C S (anoopcs@redhat.com)

Comment 94 Worker Ant 2016-12-07 06:10:20 UTC
COMMIT: http://review.gluster.org/15985 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 622787887735d9157feac6cc57745251baca7b78
Author: Anoop C S <anoopcs@redhat.com>
Date:   Thu Dec 1 15:05:06 2016 +0530

    build: Use %{_datadir} rpm macro in spec file
    
    Change-Id: I18383b2a5f0ff5233d47715c2e91514b6c3f2b7c
    BUG: 1198849
    Signed-off-by: Anoop C S <anoopcs@redhat.com>
    Reviewed-on: http://review.gluster.org/15985
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

Comment 95 Worker Ant 2017-02-02 10:44:01 UTC
REVIEW: https://review.gluster.org/16517 (glusterfsd/gf_attach: Remove unused varibale) posted (#1) for review on master by Anoop C S (anoopcs@redhat.com)

Comment 96 Worker Ant 2017-02-02 16:49:57 UTC
COMMIT: https://review.gluster.org/16517 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit b0012f81089258dc0b864db4b34afc3205c265df
Author: Anoop C S <anoopcs@redhat.com>
Date:   Thu Feb 2 15:54:10 2017 +0530

    glusterfsd/gf_attach: Remove unused varibale
    
    Change-Id: I1f2ae36c91bd0880a7f15aa73b7e0f462c7e7952
    BUG: 1198849
    Signed-off-by: Anoop C S <anoopcs@redhat.com>
    Reviewed-on: https://review.gluster.org/16517
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>

Comment 97 Worker Ant 2017-02-03 12:57:56 UTC
REVIEW: https://review.gluster.org/16540 (build: Honour prefix while evaluating localstatedir without a prefix) posted (#1) for review on master by Anoop C S (anoopcs@redhat.com)

Comment 98 Worker Ant 2017-02-03 12:57:59 UTC
REVIEW: https://review.gluster.org/16541 (build: Fix detection of uuid libs during configure) posted (#1) for review on master by Anoop C S (anoopcs@redhat.com)

Comment 99 Worker Ant 2017-02-03 12:59:22 UTC
REVIEW: https://review.gluster.org/16540 (build: Honour default prefix while evaluating localstatedir) posted (#2) for review on master by Anoop C S (anoopcs@redhat.com)

Comment 100 Worker Ant 2017-02-03 13:32:00 UTC
REVIEW: https://review.gluster.org/16541 (build: Fix detection of uuid libs during configure) posted (#2) for review on master by Anoop C S (anoopcs@redhat.com)

Comment 101 Worker Ant 2017-02-15 08:53:36 UTC
REVIEW: https://review.gluster.org/16624 (build: add gf_attach to .gitignore) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 102 Worker Ant 2017-02-15 11:41:51 UTC
COMMIT: https://review.gluster.org/16541 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 7e59f937523b8f478216e0704d0ca533ec14b221
Author: Anoop C S <anoopcs@redhat.com>
Date:   Thu Feb 2 12:10:12 2017 +0000

    build: Fix detection of uuid libs during configure
    
    This change cleans up the current logic for detecting the presence of
    uuid libs and avoids the following warning while executing configure
    script:
    
    . . .
    checking for UUID... yes
    checking uuid.h usability... yes
    checking uuid.h presence... no
    configure: WARNING: uuid.h: accepted by the compiler, rejected by the preprocessor!
    configure: WARNING: uuid.h: proceeding with the compiler's result
    checking for uuid.h... yes
    . . .
    
    Refer the following link for more details:
    https://www.gnu.org/software/autoconf/manual/autoconf.html#Present-But-Cannot-Be-Compiled
    
    Change-Id: Icc6e11097fed7c5a82ebd9d931b4e308f7d666c9
    BUG: 1198849
    Signed-off-by: Anoop C S <anoopcs@redhat.com>
    Reviewed-on: https://review.gluster.org/16541
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

Comment 103 Worker Ant 2017-02-16 09:32:38 UTC
REVIEW: https://review.gluster.org/16639 (build: fix linking of 'gf_logdump' and 'gf_recon') posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 104 Worker Ant 2017-02-17 09:24:33 UTC
COMMIT: https://review.gluster.org/16639 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit b8d827f4e7a289a7d6052e2596064b2f4ceb8d60
Author: Niels de Vos <ndevos@redhat.com>
Date:   Thu Feb 16 09:58:15 2017 +0100

    build: fix linking of 'gf_logdump' and 'gf_recon'
    
    When linking the 'gf_recon' and 'gf_logdump' binaries on certain OS's
    (Debian?), the following error is returned and compilation aborts:
    
        Making all in src
          CCLD     gf_recon
        Makefile:617: recipe for target 'gf_recon' failed
    
    Furher inspection showed this failure:
    
        /lib/x86_64-linux-gnu/libuuid.so.1: error adding symbols: DSO missing from command line
    
    'gf_recon' and 'gf_logdump' link against libgfapi, and also need to pass the
    additional used libraries on the 'ld' commandline.
    
    Change-Id: I7401023f154dde46443f0186dda8ba749951234c
    Reported-by: chawlanikhil24 (on IRC)
    BUG: 1198849
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: https://review.gluster.org/16639
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>

Comment 105 Shyamsundar 2017-03-06 17:18:18 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.10.0, please open a new bug report.

glusterfs-3.10.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://lists.gluster.org/pipermail/gluster-users/2017-February/030119.html
[2] https://www.gluster.org/pipermail/gluster-users/

Comment 106 Shyamsundar 2017-05-30 18:32:08 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.11.0, please open a new bug report.

glusterfs-3.11.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://lists.gluster.org/pipermail/announce/2017-May/000073.html
[2] https://www.gluster.org/pipermail/gluster-users/


Note You need to log in before you can comment on or make changes to this bug.